<template>
    <div class="navbarContainer">
        <div class="section logoSection">
            <router-link to="/">
                <h2 class="font-bold text-xl">konwenty.moe</h2>
            </router-link>
        </div>
        <div class="section navigationSection">
            <router-link to="/kalendarz">Kalendarz</router-link>
            <a href="/">Newsy</a>
            <router-link to="/szukajka">Szukajka</router-link>
        </div>
        <div class="section userSection">
            <div class="dropdown">
                <label tabindex="0" class="btn m-2">Zaloguj się</label>
                <div tabindex="0" class="dropdown-content z-[1] shadow bg-base-100">
                    <div class="loginPrompt">
                        <input class="textInput input input-bordered" type="text" placeholder="Login" name="username" required>
                        <input class="textInput input input-bordered" type="password" placeholder="Hasło" name="password" required>
                        <div class="rememberMeDiv label cursor-pointer">
                            <input type="checkbox" class="checkbox checkbox-primary m-1" checked="checked" name="remember">
                            <label for="remember" class="label-text">zapamiętaj mnie</label>
                        </div>
                        <button type="submit" class="btn">Login</button>
                    </div>
                </div>
            </div>
            <button @click="$router.push('/signin')" class="btn">Rejestracja</button>
            <button @click="$router.push('/profil')" class="btn">Profil</button>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
        }
    }
}
</script>

<style scoped>
.navbarContainer {
    display: flex;
    background: var(--main-blue);
    justify-content: space-around;
    align-items: center;
}
.section {
    display: flex;
    flex-direction: row;
}
.logoSection {
    flex: 25%;
    justify-content: center;
}
.logoSection a {
    text-decoration: none;
    color: #fff;
}
.navigationSection {
    flex: 45%;
    justify-content: flex-start;
}
.userSection {
    flex: 30%;
    justify-content: center;
}
.navigationSection a {
    color: #fff;
    margin: .45rem;
    font-weight: 500;
    text-decoration: none;
}
.textInput {
    margin: .225rem;
    width: 85%;
}
.rememberMeDiv{
    color: #000;
    margin: 0 calc(.225rem + 6px);
    width: 85%;
    text-align: left;
}
</style>